gr::dab::reed_solomon_decode_bb_impl Class Reference

Reed-Solomon decoder configured for DAB+. More...

`#include <reed_solomon_decode_bb_impl.h>`

Inheritance diagram for gr::dab::reed_solomon_decode_bb_impl:
[legend]

## Public Member Functions

| reed_solomon_decode_bb_impl (int bit_rate_n)
| ~reed_solomon_decode_bb_impl ()
virtual int | get_corrected_errors ()
void | forecast (int noutput_items, gr_vector_int &ninput_items_required)
int | general_work (int noutput_items, gr_vector_int &ninput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)

## Additional Inherited Members

Public Types inherited from gr::dab::reed_solomon_decode_bb
typedef std::shared_ptr< reed_solomon_decode_bb > | sptr
Static Public Member Functions inherited from gr::dab::reed_solomon_decode_bb
static sptr | make (int bit_rate_n)
| Return a shared_ptr to a new instance of dab::reed_solomon3_bb.

## Detailed Description

Reed-Solomon decoder configured for DAB+.

Reed Solomon RS(120, 110, t=5) with virtual interleaving; derived from RS(255, 245, t=5). Details see ETSI TS 102 563 clause 6.0 and 6.1.

Parameters

  bit_rate_n | data rate in multiples of 8kbit/s

## Constructor & Destructor Documentation

## reed_solomon_decode_bb_impl()

gr::dab::reed_solomon_decode_bb_impl::reed_solomon_decode_bb_impl | ( | int | bit_rate_n | ) |

## ~reed_solomon_decode_bb_impl()

gr::dab::reed_solomon_decode_bb_impl::~reed_solomon_decode_bb_impl | ( |  | ) |

## Member Function Documentation

## forecast()

void gr::dab::reed_solomon_decode_bb_impl::forecast | ( | int | noutput_items,
|  | gr_vector_int & | ninput_items_required )

## general_work()

int gr::dab::reed_solomon_decode_bb_impl::general_work | ( | int | noutput_items,
|  | gr_vector_int & | ninput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items )

## get_corrected_errors()

virtual int gr::dab::reed_solomon_decode_bb_impl::get_corrected_errors | ( |  | ) |

inline virtual

Implements gr::dab::reed_solomon_decode_bb.

The documentation for this class was generated from the following file:

- reed_solomon_decode_bb_impl.h